WP3ResourceFork Class Reference

`#include <WP3ResourceFork.h>`

## Public Member Functions

| WP3ResourceFork (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
virtual | ~WP3ResourceFork ()
const WP3Resource * | getResource (unsigned type, unsigned ID) const

## Private Attributes

std::multimap< unsigned, std::shared_ptr< WP3Resource > > | m_resourcesTypeMultimap
std::multimap< unsigned, std::shared_ptr< WP3Resource > > | m_resourcesIDMultimap

## Constructor & Destructor Documentation

## WP3ResourceFork()

WP3ResourceFork::WP3ResourceFork | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption )

## ~WP3ResourceFork()

WP3ResourceFork::~WP3ResourceFork | ( |  | ) |

virtual

## Member Function Documentation

## getResource()

const WP3Resource * WP3ResourceFork::getResource | ( | unsigned | type,
|  | unsigned | ID ) const

Referenced by WP3WindowGroup::parse().

## Member Data Documentation

## m_resourcesIDMultimap

std::multimap<unsigned, std::shared_ptr<WP3Resource> > WP3ResourceFork::m_resourcesIDMultimap

private

Referenced by WP3ResourceFork().

## m_resourcesTypeMultimap

std::multimap<unsigned, std::shared_ptr<WP3Resource> > WP3ResourceFork::m_resourcesTypeMultimap

private

Referenced by getResource(), and WP3ResourceFork().

The documentation for this class was generated from the following files:

- WP3ResourceFork.h
- WP3ResourceFork.cpp